#ifndef PATHSELECTOR_H
#define PATHSELECTOR_H

//#include <QLineEdit>
#include <QPushButton>
#include "LineEditWidget.h"
#include "IxWidgetFactory.h"

class PathSelectorWidget : public LineEditWidget
{
    Q_OBJECT
public:
	static const QString type;

public:
	explicit PathSelectorWidget(QWidget *parent = nullptr);

protected:
    void resizeEvent(QResizeEvent *event) override;

private:
    void init();

private slots:
    void onButtonClick();

signals:

private:
    QPushButton *btn;

};

#endif // PATHSELECTOR_H
